### Constructor

# Gsk.TransformNode.new

#### Declaration [src]

    GskRenderNode*
    gsk_transform_node_new (
      GskRenderNode* child,
      GskTransform* transform
    )

#### Description [src]

Creates a `GskRenderNode` that will transform the given `child` with the given `transform`.

#### Parameters

`child` | `GskRenderNode`
| The node to transform
| Ownership is not transferred to the callee
`transform` | `GskTransform`
| The transform to apply
| Ownership is not transferred to the callee

#### Return value

Returns: `GskTransformNode`
A new `GskRenderNode`
Ownership of the data is transferred to the caller